[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TThreadList.Clear

Removes all emements from the list.

## Declaration

Source position: classesh.inc line 367

`public procedure TThreadList.Clear;`

## Description

Clear attempts to lock the list and then clears the list; all items are removed from the list. After the list is cleared, it is again unlocked.

## See also

LockList |  | Locks the list for exclusive access.
Add |  | Adds an element to the list.
Remove |  | Removes an item from the list.
UnlockList |  | Unlocks the list after it was locked.

Documentation generated on: Feb 26 2014